package agilpizza.modelo.pizza;

import java.util.ArrayList;
import java.util.List;

public class Pizza {
	private String nome;
	private List<Ingrediente> ingredientes = new ArrayList<Ingrediente>();

	public String getNome() {
		return nome;
	}

	public void setNome(String nome) {
		this.nome = nome;
	}

	public List<Ingrediente> getIngredientes() {
		return ingredientes;
	}

	public void setIngredientes(List<Ingrediente> ingredientes) {
		this.ingredientes = ingredientes;
	}

	public void adicionarIngrediente(Ingrediente ingrediente) {
		ingredientes.add(ingrediente);
	}

	private double calcularPreco() {
		double preco = 0;
		for (Ingrediente i : ingredientes) {
			preco += i.getPreco();
		}
		return 10.0 + preco; // colocar o preço da massa
	}

	public String getPreco() {
		return Double.toString(calcularPreco()); // colocar o preço da massa
	}

	public double getPrecoDouble() {
		return calcularPreco();
	}
}
